# Interface WeatherApi

interface WeatherApi {
register: (pluginId: string, provider: WeatherProvider) => void;
unRegister: (pluginId: string) => void;
}

- Defined in weatherapi.ts:4

##### Index

### Properties

register
unRegister

## Properties

### register

register: (pluginId: string, provider: WeatherProvider) => void

- Defined in weatherapi.ts:5

### unRegister

unRegister: (pluginId: string) => void

- Defined in weatherapi.ts:6